Skip to content
Last updated

DeleteQuote

Deletes a quote.

Removes a quote from the system. This cannot be undone

Request Parameters

ParameterTypeDescriptionRequired
actionstring"DeleteQuote"Required
quoteidintThe quote id to be deletedRequired

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error
resultstringsuccess

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'DeleteQuote',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'quoteid' => '1',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'DeleteQuote';
$postData = array(
    'quoteid' => '1',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "error"
}

Error Responses

Possible error condition responses include:

  • Quote ID Not Found

Version History

VersionChangelog
1.0Initial Version